petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFree4

Frees 4 chunks of memory obtained with PetscMalloc4()

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree4(void *m1,void *m2,void *m3,void *m4)

Not Collective

### Input Parameters

| m1 | - memory to free
| m2 | - 2nd memory to free
| m3 | - 3rd memory to free
| m4 | - 4th memory to free

### Notes

Memory must have been obtained with PetscMalloc4()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree(), PetscMalloc3(), PetscMalloc4()

### Level

developer

### Location

include/petscsys.h

### Examples

src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages